KDE 4.9 PyKDE API Reference

- KDE's Python API

# Counter Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The Counter interface is used to represent any <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#value-def-counter"> counter or counters function value. This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

## Methods

| __init__ (self)
| __init__ (self, DOM.Counter other)
DOM.DOMString | identifier (self)
bool | isNull (self)
DOM.DOMString | listStyle (self)
DOM.DOMString | separator (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.Counter | other
| ) |  |  |

DOM.DOMString identifier | ( |  | self ) |

This attribute is used for the identifier of the counter.

bool isNull | ( |  | self ) |

DOM.DOMString listStyle | ( |  | self ) |

This attribute is used for the style of the list.

DOM.DOMString separator | ( |  | self ) |

This attribute is used for the separator of nested counters.